Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2097125 - netcdf4-python fails to build with the latest setuptools version
Summary: netcdf4-python fails to build with the latest setuptools version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netcdf4-python
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2064842
TreeView+ depends on / blocked
 
Reported: 2022-06-14 21:52 UTC by Charalampos Stratakis
Modified: 2022-06-21 02:22 UTC (History)
3 users (show)

Fixed In Version: netcdf4-python-1.5.8-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-21 02:22:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Charalampos Stratakis 2022-06-14 21:52:51 UTC
netcdf4-python fails to build with the latest setuptools version.

This report is automated and not very verbose, but we'll try to get back here with details.

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/cstratak/setuptools-62.4.0-final/fedora-rawhide-x86_64/04533429-netcdf4-python/

For all our attempts to build netcdf4-python with the latest setuptools, see:
https://copr.fedorainfracloud.org/coprs/cstratak/setuptools-62.4.0-final/package/netcdf4-python/

Testing and rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with latest setuptools version:
https://copr.fedorainfracloud.org/coprs/cstratak/setuptools-62.4.0-final/

Let us know here if you have any questions.

Comment 1 Charalampos Stratakis 2022-06-20 23:46:18 UTC
PR: https://src.fedoraproject.org/rpms/netcdf4-python/pull-request/2

Comment 2 Fedora Update System 2022-06-21 02:19:16 UTC
FEDORA-2022-c0c6ee097a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c0c6ee097a

Comment 3 Fedora Update System 2022-06-21 02:22:03 UTC
FEDORA-2022-c0c6ee097a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.